%global _empty_manifest_terminate_build 0
Name:           python-setuptools_scm
Version:        7.1.0
Release:        1
Summary:        Manage your Python package versions in SCM metadata
License:        MIT
URL:            https://pypi.python.org/pypi/setuptools_scm/
Source0:        %{pypi_source setuptools_scm}

BuildRequires:  python3-tomli python3-packaging python3-pip python3-wheel
BuildArch:      noarch
Requires:       python3-setuptool
Requires:       python3-toml

%description
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package -n python3-setuptools_scm
Summary:        the blessed package to manage your versions by scm tags
Provides:       python-setuptools_scm
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-setuptools_scm
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package help
Summary:        Development documents and examples for setuptools_scm
Provides:       python3-setuptools_scm-doc
%description help
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%prep
%autosetup -n setuptools_scm-%{version}

%build
%pyproject_build

%install
%pyproject_install setuptools_scm==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-setuptools_scm
%{python3_sitelib}/*

%files help
%{_pkgdocdir}

%changelog
* Fri Sep 01 2023 wulei <wu_lei@hoperun.com> - 7.1.0-1
- Update to 7.1.0

* Sun Apr 23 2023 caodongxia <caodongxia@h-partners.com> - 6.4.2-1
- Update to 6.4.2

* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 6.0.0-1
- Upgrade version for openstack yoga

* Thu Dec 3 2020 baizhonggui <baizhonggui@huawei.com> - 4.1.2-1
- Update to 4.1.2

* Wed Oct 21 2020 zhanghua <zhanghua40@huawei.com> - 3.1.0-3
- remove python2 subpackage

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-2
- Modify spec format.

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-1
- Package init.
